/* UI definitions... Coding these things twice (with and without KDE)
 * wouldn't make sense...						*/

#ifdef USE_KDE
#include <kmessagebox.h>
#include <klocale.h>
#include <ktabctl.h>
#include <kdialog.h>
#include <kfiledialog.h>
#define _(x) i18n(x)
#define WarningYesNo(parent, caption, text) \
	KMessageBox::warningYesNo(parent, text, caption)
#define ErrorOK(parent, caption, text) \
	KMessageBox::sorry(parent, text, caption)
#define InformationOK(parent, text, caption, dontShowAgainName) \
	KMessageBox::information(parent, text, caption, dontShowAgainName)
#define CriticalErrorOK(parent, text, caption) \
	KMessageBox::error(parent, text, caption)
#define TabBar KTabCtl
#define FileDlg KFileDialog
#define SPACE_MARGIN KDialog::marginHint()
#define SPACE_INSIDE KDialog::spacingHint()
#else
#include <qmessagebox.h>
#include <qtabwidget.h>
#include <qdialog.h>
#include <qfiledialog.h>
#define _(x) tr(x)
#define WarningYesNo(parent, caption, text) \
	QMessageBox::warning(parent, caption, text, QMessageBox::Yes, QMessageBox::No)
#define ErrorOK(parent, caption, text) \
	QMessageBox::information(parent, caption, text)
#define InformationOK(parent, text, caption, dontShowAgainName) \
	QMessageBox::information(parent, caption, text)
#define CriticalErrorOK(parent, text, caption) \
	QMessageBox::critical(parent, caption, text)
#define TabBar QTabWidget
#define FileDlg QFileDialog
#define SPACE_MARGIN 5
#define SPACE_INSIDE 5
#endif
#define IDYES 3
#define IDNO 4

